open Culr

let to_sixteen = Seq.ints 0 |> Seq.take 16 |> Array.of_seq

let colours =
  let init_default =
    to_sixteen |> Array.map (fun x -> Types.Simple x)
  in
  Sys.getenv_opt "CULRS"
  |> Option.fold ~none:init_default ~some:Parse.parse_env_colours

let order =
  let init_default = to_sixteen in
  Sys.getenv_opt "CULR_ORDER"
  |> Option.fold ~none:init_default ~some:Parse.parse_env_order

let () = Pipes.read_all colours order
